#if !defined(AFX_OBJECTIVELISTDLG_H__6819F503_4A08_42F1_9D55_CA4F7B812332__INCLUDED_)
#define AFX_OBJECTIVELISTDLG_H__6819F503_4A08_42F1_9D55_CA4F7B812332__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ObjectiveListDlg.h : header file
//
class ObjectManager;

/////////////////////////////////////////////////////////////////////////////
// CObjectiveListDlg dialog

class CObjectiveListDlg : public CDialog
{
// Construction
public:
	CObjectiveListDlg(ObjectManager *gobj,UndoCommand **cmd,CWnd* pParent = NULL);   // standard constructor
	ObjectManager *ObjMan;
	UndoCommand **CmdList;
	void RefreshList();
// Dialog Data
	//{{AFX_DATA(CObjectiveListDlg)
	enum { IDD = IDD_OBJECTIVELIST };
	CListBox	m_ObjList;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CObjectiveListDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CObjectiveListDlg)
	virtual void OnOK();
	afx_msg void OnAdd();
	afx_msg void OnChar(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnDblclkObjlist();
	virtual BOOL OnInitDialog();
	afx_msg void OnExit();
	afx_msg void OnDelete();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OBJECTIVELISTDLG_H__6819F503_4A08_42F1_9D55_CA4F7B812332__INCLUDED_)
